import { axios } from '@/utils/request'

// 获取列表数据
export const getPowerRoleList = params => {
  const url = `ddrole/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'POST'
  })
}

// 改变权限状态接口 flag 0：禁用 1：启用
export const updateEnableStatus = params => {
  return axios({
    url: `ddrole/enable/${params.id}/${params.flag}`,
    data: {},
    method: 'get'
  })
}

// 删除用户接口
export const delectRolePower = params => {
  return axios({
    url: `ddrole/delete/${params.id}`,
    data: {},
    method: 'get'
  })
}

// 新增/编辑保存接口
export const saveRolePower = params => {
  return axios({
    url: 'ddrole/save',
    data: params,
    method: 'POST'
  })
}

// 获取菜单树数据
export const getMenuList = params => {
  const url = `ddrole/findAllMenu/${params.id}`
  return axios({
    url: url,
    method: 'get'
  })
}

// 保存权限分配
export const addMenuPower = params => {
  const url = `ddrole/saveRoleMenu`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 查询所有角色
export const getAllRole = params => {
  const url = `ddrole/findAll`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
