// ie polyfill
import '@babel/polyfill'

import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store/'
import { VueAxios } from './utils/request'

// mock
// import './mock'

import bootstrap from './core/bootstrap'
import './core/use'
import './permission' // permission control
import './utils/filter'

import VueCookies from 'vue-cookies' // global filter

Vue.config.productionTip = false

// mount axios Vue.$http and this.$http
Vue.use(VueAxios)
Vue.use(VueCookies)
Vue.$cookies.config('7d')
/**
 * 权限检查
 */
Vue.prototype.$hasPermissions = function (value) {
  let isExist = false
  const roles = store.getters.roles
  const permissionList = roles.permissionList
  // console.log(permissionsStr,'permissionsStr')
  if (permissionList == undefined || permissionList == null) {
    return false
  }
  const has = permissionList.find(item => {
    return item == value
  })
  if (has) {
    isExist = true
  }
  return isExist
}
new Vue({
  router,
  store,
  created: bootstrap,
  render: h => h(App)
}).$mount('#app')
